PDA

View Full Version : help with opengl shading language...



asma7
12-19-2008, 10:03 AM
hi all,

I am new to opengl and glsl.. am trying to use a vertex shader in my code,,the GL_ARB_vertex_shader and the GL_ARB_fragment_shader extensions are not available in my system , i do have opengl 1.4, I have included glew.h and the libraries are in the lib... I don't know what to do else, please i need help so that my system will have these extensions...

best regards

_NK47
12-19-2008, 10:11 AM
if they not supported, nothing you can do. only software rendered with Mesa (http://www.mesa3d.org/) then.
if you are under mac or win see this (http://www.realtech-vr.com/glview/) to know what is supported and what not.

Rosario Leonardi
12-19-2008, 01:37 PM
You can find directX 10 (openGL3.0) hardware at 50 / 60$.. and openGL 2.1 HW cost nothing. If you are not on a palm I think that it's a driver problem.

asma7
12-20-2008, 05:00 AM
The problem is that I read somewhere that these extensions can be supported by opengl 1.4!!

_NK47
12-20-2008, 06:18 AM
"can" is the magic word here but apparently yours cant. find some demos using this extension and try to run them on your hardware.

asma7
12-20-2008, 09:30 AM
That's what I did... I've tried some demos and they didn't work... It seems that I have to upgrade my hardware... Thanks guys for your help..